libstdc++: std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > Class Template Reference

libstdc++

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > Class Template Reference

`#include <unordered_map>`

Inheritance diagram for std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >:
[legend]

## Public Types
typedef _Base::allocator_type | allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, unordered_map > | const_iterator
typedef __gnu_debug::_Safe_local_iterator< _Base_const_local_iterator, unordered_map > | const_local_iterator
typedef _Base::const_pointer | const_pointer
typedef _Base::const_reference | const_reference
typedef _Base::difference_type | difference_type
typedef _Base::hasher | hasher
typedef __gnu_debug::_Safe_iterator< _Base_iterator, unordered_map > | iterator
typedef _Base::key_equal | key_equal
typedef _Base::key_type | key_type
typedef __gnu_debug::_Safe_local_iterator< _Base_local_iterator, unordered_map > | local_iterator
typedef _Base::mapped_type | mapped_type
typedef _Base::pointer | pointer
typedef _Base::reference | reference
typedef _Base::size_type | size_type
typedef _Base::value_type | value_type

## Public Member Functions
| unordered_map (_Base_ref __x)
template<typename _InputIterator>
| unordered_map (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
template<typename _InputIterator>
| unordered_map (_InputIterator __first, _InputIterator __last, size_type __n, const allocator_type &__a)
template<typename _InputIterator>
| unordered_map (_InputIterator __first, _InputIterator __last, size_type __n, const hasher &__hf, const allocator_type &__a)
template<typename _InputIterator>
| unordered_map (_InputIterator __first, _InputIterator __last, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_map (const allocator_type &__a)
| unordered_map (const unordered_map &)=default
| unordered_map (const unordered_map &__umap, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, size_type __n, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, size_type __n, const hasher &__hf, const allocator_type &__a)
| unordered_map (initializer_list< value_type > __l, size_type __n=0, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_map (size_type __n, const allocator_type &__a)
| unordered_map (size_type __n, const hasher &__hf, const allocator_type &__a)
| unordered_map (size_type __n, const hasher &__hf=hasher(), const key_equal &__eql=key_equal(), const allocator_type &__a=allocator_type())
| unordered_map (unordered_map &&)=default
| unordered_map (unordered_map &&__umap, const allocator_type &__a) noexcept(noexcept(_Base(std::move(__umap), __a)))
const _Base & | _M_base () const noexcept
_Base & | _M_base () noexcept
const_iterator | begin () const noexcept
iterator | begin () noexcept
local_iterator | begin (size_type __b)
const_local_iterator | begin (size_type __b) const
size_type | bucket_size (size_type __b) const
const_iterator | cbegin () const noexcept
const_local_iterator | cbegin (size_type __b) const
const_iterator | cend () const noexcept
const_local_iterator | cend (size_type __b) const
void | clear () noexcept
template<typename... _Args>
std::pair< iterator, bool > | emplace (_Args &&... __args)
template<typename... _Args>
iterator | emplace_hint (const_iterator __hint, _Args &&... __args)
const_iterator | end () const noexcept
iterator | end () noexcept
local_iterator | end (size_type __b)
const_local_iterator | end (size_type __b) const
std::pair< iterator, iterator > | equal_range (const key_type &__key)
std::pair< const_iterator, const_iterator > | equal_range (const key_type &__key) const
_Base_iterator | erase (_Base_const_iterator __it)
template<__heterogeneous_hash_key< unordered_map > _Kt>
size_type | erase (_Kt &&__key)
size_type | erase (const key_type &__key)
iterator | erase (const_iterator __first, const_iterator __last)
iterator | erase (const_iterator __it)
iterator | erase (iterator __it)
iterator | find (const key_type &__key)
const_iterator | find (const key_type &__key) const
template<typename _InputIterator>
void | insert (_InputIterator __first, _InputIterator __last)
template<typename _Pair, typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>
std::pair< iterator, bool > | insert (_Pair &&__obj)
std::pair< iterator, bool > | insert (const value_type &__obj)
template<typename _Pair, typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>
iterator | insert (const_iterator __hint, _Pair &&__obj)
iterator | insert (const_iterator __hint, const value_type &__obj)
iterator | insert (const_iterator __hint, value_type &&__x)
void | insert (std::initializer_list< value_type > __l)
std::pair< iterator, bool > | insert (value_type &&__x)
float | max_load_factor () const noexcept
void | max_load_factor (float __f)
unordered_map & | operator= (const unordered_map &)=default
unordered_map & | operator= (initializer_list< value_type > __l)
unordered_map & | operator= (unordered_map &&)=default
void | swap (unordered_map &__x) noexcept(noexcept(declval< _Base & >().swap(__x)))

## Protected Member Functions
constexpr void | _M_swap (const _Safe_container &__x) const noexcept

## Friends
template<typename _ItT, typename _SeqT, typename _CatT>
class | ::__gnu_debug::_Safe_iterator
template<typename _ItT, typename _SeqT>
class | ::__gnu_debug::_Safe_local_iterator

## Detailed Description

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
class std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >

Class std::unordered_map with safety/checking/debug instrumentation.

Definition at line 65 of file debug/unordered_map.

## Member Typedef Documentation

## ◆ allocator_type

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::allocator_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::allocator_type

Definition at line 98 of file debug/unordered_map.

## ◆ const_iterator

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, unordered_map> std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::const_iterator

Definition at line 111 of file debug/unordered_map.

## ◆ const_local_iterator

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef __gnu_debug::_Safe_local_iterator< _Base_const_local_iterator, unordered_map> std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::const_local_iterator

Definition at line 115 of file debug/unordered_map.

## ◆ const_pointer

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::const_pointer std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::const_pointer

Definition at line 105 of file debug/unordered_map.

## ◆ const_reference

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::const_reference std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::const_reference

Definition at line 107 of file debug/unordered_map.

## ◆ difference_type

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::difference_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::difference_type

Definition at line 116 of file debug/unordered_map.

## ◆ hasher

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::hasher std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::hasher

Definition at line 96 of file debug/unordered_map.

## ◆ iterator

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef __gnu_debug::_Safe_iterator< _Base_iterator, unordered_map> std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::iterator

Definition at line 109 of file debug/unordered_map.

## ◆ key_equal

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::key_equal std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::key_equal

Definition at line 97 of file debug/unordered_map.

## ◆ key_type

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::key_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::key_type

Definition at line 100 of file debug/unordered_map.

## ◆ local_iterator

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef __gnu_debug::_Safe_local_iterator< _Base_local_iterator, unordered_map> std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::local_iterator

Definition at line 113 of file debug/unordered_map.

## ◆ mapped_type

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::mapped_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::mapped_type

Definition at line 102 of file debug/unordered_map.

## ◆ pointer

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::pointer std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::pointer

Definition at line 104 of file debug/unordered_map.

## ◆ reference

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::reference std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::reference

Definition at line 106 of file debug/unordered_map.

## ◆ size_type

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::size_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::size_type

Definition at line 95 of file debug/unordered_map.

## ◆ value_type

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

typedef _Base::value_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::value_type

Definition at line 101 of file debug/unordered_map.

## Constructor & Destructor Documentation

## ◆ unordered_map() [1/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | size_type | __n,
|  | const hasher & | __hf = hasher(),
|  | const key_equal & | __eql = key_equal(),
|  | const allocator_type & | __a = allocator_type() )
| inlineexplicit

Definition at line 121 of file debug/unordered_map.

## ◆ unordered_map() [2/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | size_type | __n = 0,
|  | const hasher & | __hf = hasher(),
|  | const key_equal & | __eql = key_equal(),
|  | const allocator_type & | __a = allocator_type() )
| inline

Definition at line 128 of file debug/unordered_map.

## ◆ unordered_map() [3/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | _Base_ref | __x | ) |
| inline

Definition at line 140 of file debug/unordered_map.

## ◆ unordered_map() [4/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | const allocator_type & | __a | ) |
| inlineexplicit

Definition at line 146 of file debug/unordered_map.

## ◆ unordered_map() [5/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __umap,
|  | const allocator_type & | __a )
| inline

Definition at line 149 of file debug/unordered_map.

## ◆ unordered_map() [6/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > && | __umap,
|  | const allocator_type & | __a )
| inlinenoexcept

Definition at line 153 of file debug/unordered_map.

## ◆ unordered_map() [7/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | initializer_list< value_type > | __l,
|  | size_type | __n = 0,
|  | const hasher & | __hf = hasher(),
|  | const key_equal & | __eql = key_equal(),
|  | const allocator_type & | __a = allocator_type() )
| inline

Definition at line 159 of file debug/unordered_map.

## ◆ unordered_map() [8/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | size_type | __n,
|  | const allocator_type & | __a )
| inline

Definition at line 166 of file debug/unordered_map.

## ◆ unordered_map() [9/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | size_type | __n,
|  | const hasher & | __hf,
|  | const allocator_type & | __a )
| inline

Definition at line 170 of file debug/unordered_map.

## ◆ unordered_map() [10/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | const allocator_type & | __a )
| inline

Definition at line 177 of file debug/unordered_map.

## ◆ unordered_map() [11/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | size_type | __n,
|  | const allocator_type & | __a )
| inline

Definition at line 183 of file debug/unordered_map.

## ◆ unordered_map() [12/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | _InputIterator | __first,
|  | _InputIterator | __last,
|  | size_type | __n,
|  | const hasher & | __hf,
|  | const allocator_type & | __a )
| inline

Definition at line 190 of file debug/unordered_map.

## ◆ unordered_map() [13/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | initializer_list< value_type > | __l,
|  | const allocator_type & | __a )
| inline

Definition at line 197 of file debug/unordered_map.

## ◆ unordered_map() [14/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | initializer_list< value_type > | __l,
|  | size_type | __n,
|  | const allocator_type & | __a )
| inline

Definition at line 202 of file debug/unordered_map.

## ◆ unordered_map() [15/15]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::unordered_map | ( | initializer_list< value_type > | __l,
|  | size_type | __n,
|  | const hasher & | __hf,
|  | const allocator_type & | __a )
| inline

Definition at line 208 of file debug/unordered_map.

## Member Function Documentation

## ◆ _M_base() [1/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const _Base & std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::_M_base | ( |  | ) | const
| inlinenoexcept

Definition at line 834 of file debug/unordered_map.

## ◆ _M_base() [2/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

_Base & std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::_M_base | ( |  | ) |
| inlinenoexcept

Definition at line 831 of file debug/unordered_map.

## ◆ _M_swap()

template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>

void __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >::_M_swap | ( | const _Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > & | __x | ) | const
| inlineconstexprprotectednoexceptinherited

Definition at line 141 of file safe_container.h.

## ◆ begin() [1/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 284 of file debug/unordered_map.

## ◆ begin() [2/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::begin | ( |  | ) |
| inlinenoexcept

Definition at line 280 of file debug/unordered_map.

## ◆ begin() [3/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

local_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::begin | ( | size_type | __b | ) |
| inline

Definition at line 305 of file debug/unordered_map.

## ◆ begin() [4/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_local_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::begin | ( | size_type | __b | ) | const
| inline

Definition at line 319 of file debug/unordered_map.

## ◆ bucket_size()

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

size_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::bucket_size | ( | size_type | __b | ) | const
| inline

Definition at line 351 of file debug/unordered_map.

## ◆ cbegin() [1/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::cbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 296 of file debug/unordered_map.

## ◆ cbegin() [2/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_local_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::cbegin | ( | size_type | __b | ) | const
| inline

Definition at line 333 of file debug/unordered_map.

## ◆ cend() [1/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::cend | ( |  | ) | const
| inlinenoexcept

Definition at line 300 of file debug/unordered_map.

## ◆ cend() [2/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_local_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::cend | ( | size_type | __b | ) | const
| inline

Definition at line 340 of file debug/unordered_map.

## ◆ clear()

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

void std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::clear | ( |  | ) |
| inlinenoexcept

Definition at line 273 of file debug/unordered_map.

## ◆ emplace()

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename... _Args>

std::pair< iterator, bool > std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::emplace | ( | _Args &&... | __args | ) |
| inline

Definition at line 372 of file debug/unordered_map.

## ◆ emplace_hint()

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename... _Args>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::emplace_hint | ( | const_iterator | __hint,
|  | _Args &&... | __args )
| inline

Definition at line 382 of file debug/unordered_map.

## ◆ end() [1/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::end | ( |  | ) | const
| inlinenoexcept

Definition at line 292 of file debug/unordered_map.

## ◆ end() [2/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::end | ( |  | ) |
| inlinenoexcept

Definition at line 288 of file debug/unordered_map.

## ◆ end() [3/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

local_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::end | ( | size_type | __b | ) |
| inline

Definition at line 312 of file debug/unordered_map.

## ◆ end() [4/4]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_local_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::end | ( | size_type | __b | ) | const
| inline

Definition at line 326 of file debug/unordered_map.

## ◆ equal_range() [1/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::pair< iterator, iterator > std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::equal_range | ( | const key_type & | __key | ) |
| inline

Definition at line 721 of file debug/unordered_map.

## ◆ equal_range() [2/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::pair< const_iterator, const_iterator > std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::equal_range | ( | const key_type & | __key | ) | const
| inline

Definition at line 740 of file debug/unordered_map.

## ◆ erase() [1/6]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

_Base_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::erase | ( | _Base_const_iterator | __it | ) |
| inline

Definition at line 794 of file debug/unordered_map.

## ◆ erase() [2/6]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<__heterogeneous_hash_key< unordered_map > _Kt>

size_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::erase | ( | _Kt && | __key | ) |
| inline

Definition at line 777 of file debug/unordered_map.

## ◆ erase() [3/6]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

size_type std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::erase | ( | const key_type & | __key | ) |
| inline

Definition at line 762 of file debug/unordered_map.

## ◆ erase() [4/6]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::erase | ( | const_iterator | __first,
|  | const_iterator | __last )
| inline

Definition at line 808 of file debug/unordered_map.

## ◆ erase() [5/6]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::erase | ( | const_iterator | __it | ) |
| inline

Definition at line 787 of file debug/unordered_map.

## ◆ erase() [6/6]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::erase | ( | iterator | __it | ) |
| inline

Definition at line 801 of file debug/unordered_map.

## ◆ find() [1/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::find | ( | const key_type & | __key | ) |
| inline

Definition at line 690 of file debug/unordered_map.

## ◆ find() [2/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

const_iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::find | ( | const key_type & | __key | ) | const
| inline

Definition at line 703 of file debug/unordered_map.

## ◆ insert() [1/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _InputIterator>

void std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | _InputIterator | __first,
|  | _InputIterator | __last )
| inline

Definition at line 469 of file debug/unordered_map.

## ◆ insert() [2/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Pair, typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>

std::pair< iterator, bool > std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | _Pair && | __obj | ) |
| inline

Definition at line 416 of file debug/unordered_map.

## ◆ insert() [3/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::pair< iterator, bool > std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | const value_type & | __obj | ) |
| inline

Definition at line 393 of file debug/unordered_map.

## ◆ insert() [4/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _Pair, typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | const_iterator | __hint,
|  | _Pair && | __obj )
| inline

Definition at line 450 of file debug/unordered_map.

## ◆ insert() [5/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | const_iterator | __hint,
|  | const value_type & | __obj )
| inline

Definition at line 425 of file debug/unordered_map.

## ◆ insert() [6/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

iterator std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | const_iterator | __hint,
|  | value_type && | __x )
| inline

Definition at line 437 of file debug/unordered_map.

## ◆ insert() [7/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

void std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | std::initializer_list< value_type > | __l | ) |
| inline

Definition at line 460 of file debug/unordered_map.

## ◆ insert() [8/8]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

std::pair< iterator, bool > std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::insert | ( | value_type && | __x | ) |
| inline

Definition at line 404 of file debug/unordered_map.

## ◆ max_load_factor() [1/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

float std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::max_load_factor | ( |  | ) | const
| inlinenoexcept

Definition at line 360 of file debug/unordered_map.

## ◆ max_load_factor() [2/2]

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

void std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::max_load_factor | ( | float | __f | ) |
| inline

Definition at line 364 of file debug/unordered_map.

## ◆ operator=()

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

unordered_map & std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::operator= | ( | initializer_list< value_type > | __l | ) |
| inline

Definition at line 252 of file debug/unordered_map.

## ◆ swap()

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>

void std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >::swap | ( | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x | ) |
| inlinenoexcept

Definition at line 265 of file debug/unordered_map.

## Friends And Related Symbol Documentation

## ◆ ::__gnu_debug::_Safe_iterator

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _ItT, typename _SeqT, typename _CatT>

friend class ::__gnu_debug::_Safe_iterator
| friend

Definition at line 82 of file debug/unordered_map.

## ◆ ::__gnu_debug::_Safe_local_iterator

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
template<typename _ItT, typename _SeqT>

friend class ::__gnu_debug::_Safe_local_iterator
| friend

Definition at line 84 of file debug/unordered_map.

The documentation for this class was generated from the following file:

- debug/unordered_map